libetonyek::IWORKTableData Struct Reference documentation

libetonyek::IWORKTableData Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKTableData ()

## Public Attributes
IWORKColumnSizes_t | m_columnSizes
IWORKRowSizes_t | m_rowSizes
unsigned | m_column
unsigned | m_row
unsigned | m_numColumns
unsigned | m_numRows
boost::optional< unsigned > | m_columnSpan
boost::optional< unsigned > | m_rowSpan
boost::optional< unsigned > | m_cellMove
boost::optional< std::string > | m_content
boost::optional< IWORKDateTimeData > | m_dateTime
IWORKFormulaPtr_t | m_formula
boost::optional< unsigned > | m_formulaHC
IWORKGridLineMap_t | m_horizontalLines
IWORKGridLineMap_t | m_verticalLines
std::unordered_map< double, unsigned > | m_positionToHorizontalLineMap
std::unordered_map< double, unsigned > | m_positionToVerticalLineMap
IWORKStylePtr_t | m_style
IWORKCellType | m_type

## Constructor & Destructor Documentation

## ◆ IWORKTableData()

libetonyek::IWORKTableData::IWORKTableData | ( |  | ) |

## Member Data Documentation

## ◆ m_cellMove

boost::optional<unsigned> libetonyek::IWORKTableData::m_cellMove

Referenced by IWORKTableData().

## ◆ m_column

unsigned libetonyek::IWORKTableData::m_column

Referenced by IWORKTableData().

## ◆ m_columnSizes

IWORKColumnSizes_t libetonyek::IWORKTableData::m_columnSizes

Referenced by IWORKTableData().

## ◆ m_columnSpan

boost::optional<unsigned> libetonyek::IWORKTableData::m_columnSpan

Referenced by IWORKTableData().

## ◆ m_content

boost::optional<std::string> libetonyek::IWORKTableData::m_content

Referenced by IWORKTableData().

## ◆ m_dateTime

boost::optional<IWORKDateTimeData> libetonyek::IWORKTableData::m_dateTime

Referenced by IWORKTableData().

## ◆ m_formula

IWORKFormulaPtr_t libetonyek::IWORKTableData::m_formula

Referenced by IWORKTableData().

## ◆ m_formulaHC

boost::optional<unsigned> libetonyek::IWORKTableData::m_formulaHC

Referenced by IWORKTableData().

## ◆ m_horizontalLines

IWORKGridLineMap_t libetonyek::IWORKTableData::m_horizontalLines

Referenced by IWORKTableData().

## ◆ m_numColumns

unsigned libetonyek::IWORKTableData::m_numColumns

Referenced by IWORKTableData().

## ◆ m_numRows

unsigned libetonyek::IWORKTableData::m_numRows

Referenced by IWORKTableData().

## ◆ m_positionToHorizontalLineMap

std::unordered_map<double, unsigned> libetonyek::IWORKTableData::m_positionToHorizontalLineMap

Referenced by IWORKTableData().

## ◆ m_positionToVerticalLineMap

std::unordered_map<double, unsigned> libetonyek::IWORKTableData::m_positionToVerticalLineMap

Referenced by IWORKTableData().

## ◆ m_row

unsigned libetonyek::IWORKTableData::m_row

Referenced by IWORKTableData().

## ◆ m_rowSizes

IWORKRowSizes_t libetonyek::IWORKTableData::m_rowSizes

Referenced by IWORKTableData().

## ◆ m_rowSpan

boost::optional<unsigned> libetonyek::IWORKTableData::m_rowSpan

Referenced by IWORKTableData().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKTableData::m_style

Referenced by IWORKTableData().

## ◆ m_type

IWORKCellType libetonyek::IWORKTableData::m_type

Referenced by IWORKTableData().

## ◆ m_verticalLines

IWORKGridLineMap_t libetonyek::IWORKTableData::m_verticalLines

Referenced by IWORKTableData().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp